JEditBeanShellAction (jEdit API Documentation)
Date: 2017-03-18

org.gjt.sp.jedit

## Class JEditBeanShellAction

- java.lang.Object
- - org.gjt.sp.jedit.JEditAbstractEditAction<TextArea>
  - - org.gjt.sp.jedit.JEditBeanShellAction

-     public class JEditBeanShellAction
      extends JEditAbstractEditAction<TextArea>

  An action that evaluates BeanShell code when invoked. BeanShell actions are usually loaded from `actions.xml` and `browser.actions.xml` files; see `ActionSet` for syntax information.
  See Also:
    `jEdit.getAction(String)`, `jEdit.getActionNames()`, `ActionSet`

- - ### Field Summary

    - ### Fields inherited from class org.gjt.sp.jedit.JEditAbstractEditAction

      `args, name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JEditBeanShellAction(java.lang.String name, java.lang.String code, java.lang.String isSelected, boolean noRepeat, boolean noRecord, boolean noRememberLast)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCode()`
    `void` | `invoke(TextArea textArea)` Invokes the action.
    `boolean` | `isSelected(java.awt.Component comp)`
    `boolean` | `noRecord()`
    `boolean` | `noRememberLast()` Returns if this edit action should not be remembered as the most recently invoked action.
    `boolean` | `noRepeat()`

    - ### Methods inherited from class org.gjt.sp.jedit.JEditAbstractEditAction

      `getName, invoke, setName, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JEditBeanShellAction

          public JEditBeanShellAction(java.lang.String name,
                                      java.lang.String code,
                                      java.lang.String isSelected,
                                      boolean noRepeat,
                                      boolean noRecord,
                                      boolean noRememberLast)

  - ### Method Detail

    - #### invoke

          public void invoke(TextArea textArea)

      Description copied from class: `JEditAbstractEditAction`
      Invokes the action. This is an implementation of the Command pattern, and concrete actions should override this.
      Specified by:
        `invoke` in class `JEditAbstractEditAction<TextArea>`
      Parameters:
        `textArea` - the argument

    - #### isSelected

          public boolean isSelected(java.awt.Component comp)

    - #### noRepeat

          public boolean noRepeat()

    - #### noRecord

          public boolean noRecord()

    - #### noRememberLast

          public boolean noRememberLast()

      Returns if this edit action should not be remembered as the most recently invoked action.
      Since:
        jEdit 4.2pre1

    - #### getCode

          public java.lang.String getCode()